#!/bin/bash
#

# 获取PID
pid=`ps -ef | grep [c]cclubs-gwa-api-v0.0.1.jar | awk '{print $2}'`

# 查询进程是否存在
ps aux | grep [c]cclubs-gwa-api-v0.0.1.jar

# 如进程存在，则kill
if [ $? -eq 0 ];then
	kill -9 $pid
fi
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f ccclubs-gwa-api-v0.0.1.jar ];then
	mv ccclubs-gwa-api-v0.0.1.jar ./backups/ccclubs-gwa-api-v0.0.1.jar-$(date +%F_%H-%M)
fi

# jar包重命名
mv /data/TSP/ccclubs-gwa-api-v0.0.1.jar.1 /data/TSP/ccclubs-gwa-api-v0.0.1.jar
sleep 5
# 运行jar包
nohup java -Xms1g -Xmx1g -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/ccclubs-gwa-api.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=ccclubs-gwa-api-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27003:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/ccclubs-gwa-api-v0.0.1.jar > /data/logs/ccclubs-gwa-api.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [c]cclubs-gwa-api-v0.0.1.jar | grep -v "ccclubs-gwa-api.sh" | grep -v "grep" | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-api.txt
	nohup java -Xms1g -Xmx1g -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/ccclubs-gwa-api.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=ccclubs-gwa-api-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27003:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/ccclubs-gwa-api-v0.0.1.jar > /data/logs/ccclubs-gwa-api.log 2>&1 &
else
        echo '正常'>/tmp/2-api.txt
fi
cd
exit 0
